Update to include xenial

Bug #1508759 reported by Stefano Rivera on 2015-10-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
distro-info-data (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Trusty
Medium
Unassigned
Vivid
Medium
Unassigned
Wily
Medium
Unassigned

Bug Description

It's that time of year.
This package just contains data, with no format changes.

[ QA ]
"ubuntu-distro-info -d" should return "xenial" not an error that the data is out of date.

Changed in distro-info-data (Ubuntu Xenial):
status: New → Fix Released
Changed in distro-info-data (Ubuntu Wily):
status: New → Fix Released
no longer affects: distro-info-data (Ubuntu Xenial)
Stefano Rivera (stefanor) wrote :
Stefano Rivera (stefanor) wrote :
Stefano Rivera (stefanor) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into precise-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.8ubuntu0.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Changed in distro-info-data (Ubuntu Trusty):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.18ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu Vivid):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.26ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu):
importance: Undecided → Medium
Changed in distro-info-data (Ubuntu Precise):
importance: Undecided → Medium
Changed in distro-info-data (Ubuntu Trusty):
importance: Undecided → Medium
Changed in distro-info-data (Ubuntu Vivid):
importance: Undecided → Medium
Changed in distro-info-data (Ubuntu Wily):
importance: Undecided → Medium
Brian Murray (brian-murray) wrote :

There isn't a fix for this in Wily yet.

Changed in distro-info-data (Ubuntu Wily):
status: Fix Released → Triaged
Brian Murray (brian-murray) wrote :

Ah, I was confused - its just in there as Xenial X.

Changed in distro-info-data (Ubuntu Wily):
status: Triaged → Fix Released
Brian Murray (brian-murray) wrote :

Verification done on vivid.

(vivid-amd64)root@impulse:/tmp# ubuntu-distro-info -d
xenial
(vivid-amd64)root@impulse:/tmp# apt-cache policy distro-info-data
distro-info-data:
  Installed: 0.26ubuntu0.2
  Candidate: 0.26ubuntu0.2

tags: added: verification-done-vivid
Brian Murray (brian-murray) wrote :

Verification done on trusty.

(trusty-amd64)root@impulse:/tmp# ubuntu-distro-info -d
xenial
(trusty-amd64)root@impulse:/tmp# apt-cache policy distro-info-data
distro-info-data:
  Installed: 0.18ubuntu0.4
  Candidate: 0.18ubuntu0.4

tags: added: verification-done-trusty
Steve Langasek (vorlon) wrote :

This was fixed in wily, before release.

distro-info-data (0.27ubuntu1) wily; urgency=medium

  * Add Ubuntu 16.04 LTS, with a provisional name, and fix 15.10 dates.

 -- Adam Conrad <email address hidden> Wed, 21 Oct 2015 12:55:39 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.18ubuntu0.4

---------------
distro-info-data (0.18ubuntu0.4) trusty; urgency=medium

  * Copy data from 0.28 (LP: #1508759)
    - Update Ubuntu 15.10 release date.
    - Add Ubuntu 16.04, with a provisional release date.

 -- Stefano Rivera <email address hidden> Wed, 21 Oct 2015 20:11:45 -0700

Changed in distro-info-data (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.26ubuntu0.2

---------------
distro-info-data (0.26ubuntu0.2) vivid; urgency=medium

  * Copy data from 0.28 (LP: #1508759)
    - Update Ubuntu 15.10 release date.
    - Add Ubuntu 16.04, with a provisional release date.

 -- Stefano Rivera <email address hidden> Wed, 21 Oct 2015 20:12:53 -0700

Changed in distro-info-data (Ubuntu Vivid):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

Verification done in precise.

(precise2-amd64)root@impulse:~# distro-info -d
xenial
(precise2-amd64)root@impulse:~# apt-cache policy distro-info-data
distro-info-data:
  Installed: 0.8ubuntu0.9
  Candidate: 0.8ubuntu0.9
  Version table:
 *** 0.8ubuntu0.9 0
        500 http://mirrors.cat.pdx.edu/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.8ubuntu0.9

---------------
distro-info-data (0.8ubuntu0.9) precise; urgency=medium

  * Copy data from 0.28 (LP: #1508759)
    - Update Ubuntu 15.10 release date.
    - Add Ubuntu 16.04, with a provisional release date.

 -- Stefano Rivera <email address hidden> Wed, 21 Oct 2015 20:08:27 -0700

Changed in distro-info-data (Ubuntu Precise):
status: Fix Committed → Fix Released
Scott Moser (smoser) wrote :

It seems that wily is *not* fixed entirely.
$ dpkg-query --show distro-info-data
distro-info-data 0.27ubuntu1

$ dpkg -L distro-info-data | grep ubuntu.csv
/usr/share/distro-info/ubuntu.csv

$ grep Xenial /usr/share/distro-info/ubuntu.csv
16.04 LTS,Xenial X,xenial,2015-10-22,2016-04-21,2021-04-21

$ distro-info --fullname --devel
Ubuntu 16.04 LTS "Xenial X"

We really do need to SRU the Xerus.

Steve Langasek (vorlon) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.27ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu Wily):
status: Fix Released → In Progress
Changed in distro-info-data (Ubuntu Vivid):
status: Fix Released → In Progress
Changed in distro-info-data (Ubuntu Trusty):
status: Fix Released → In Progress
Changed in distro-info-data (Ubuntu Precise):
status: Fix Released → In Progress
Changed in distro-info-data (Ubuntu Wily):
status: In Progress → Fix Committed
Changed in distro-info-data (Ubuntu Precise):
status: In Progress → Fix Released
Changed in distro-info-data (Ubuntu Trusty):
status: In Progress → Fix Released
Changed in distro-info-data (Ubuntu Vivid):
status: In Progress → Fix Released
Brian Murray (brian-murray) wrote :

wily was working with the package in -proposed:

(wily-amd64)root@impulse:~# ubuntu-distro-info -d
xenial
(wily-amd64)root@impulse:~# apt-cache policy distro-info-data
distro-info-data:
  Installed: 0.27ubuntu1.1
  Candidate: 0.27ubuntu1.1
  Version table:
 *** 0.27ubuntu1.1 0
        500 http://192.168.10.7/ubuntu/ wily-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.27ubuntu1 0
        500 http://192.168.10.7/ubuntu/ wily/main amd64 Packages

tags: added: verification-done-wily
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.27ubuntu1.1

---------------
distro-info-data (0.27ubuntu1.1) wily-proposed; urgency=medium

  * Provide complete 16.04 codename (LP: #1508759).

 -- Scott Moser <email address hidden> Mon, 16 Nov 2015 10:29:32 -0500

Changed in distro-info-data (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for distro-info-data has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers